%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define _name meuikit

%define base_ver %(curl -fsSL https://git.omame.tech/CyberOS/cyber-build-scripts/raw/branch/master/stable/%{_name}/PKGBUILD | grep pkgver | cut -d '=' -f 2 | head -n1)
%define git_refspec %(curl -fsSL -X GET "https://git.omame.tech/api/v1/repos/CyberOS/%{_name}/commits" -H  "accept: application/json" | jq -r '.[0].sha')
%define git_refspec_short %(echo %{git_refspec} | cut -c -7)
%define build_timestamp %(date +%s)

%define _libdir32 %{_exec_prefix}/lib

Name: %{_name}
#Version: 1.1.0
Version: %{base_ver}git.%{build_timestamp}.%{git_refspec_short}
Release: 0%{?dist}
Summary: Cyber GUI Library

License: GPLv3+
URL: https://getcyberos.org

BuildRequires: jq

BuildRequires: cmake make
BuildRequires: extra-cmake-modules
BuildRequires: qt5-qtbase-devel qt5-qtquickcontrols2-devel qt5-qtx11extras-devel
BuildRequires: kf5-kwindowsystem-devel

#Source0: https://git.omame.tech/CyberOS/%{name}/archive/%{version}.tar.gz
Source0: https://git.omame.tech/CyberOS/%{name}/archive/%{git_refspec}.tar.gz

%description
MeuiKit is the UI library for Cyber Desktop

%package devel
Summary: Development headers for MeuiKit
Requires: %{name} = %{version}-%{release}, cmake
%description devel
This package provides files sufficient to build software against %{name}

%prep
%setup -qn %{name}

%build
%{set_build_flags}
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%make_install
mkdir -p %{buildroot}/%{_libdir}/cmake/
mv -v %{buildroot}/%{_libdir32}/cmake/MeuiKit %{buildroot}/%{_libdir}/cmake/MeuiKit ||:

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files devel
%{_libdir}/cmake/MeuiKit

%files 
%license LICENSE
%{_libdir}/libMeuiKit.so
%{_libdir}/qt5/qml/MeuiKit/
%{_libdir}/qt5/qml/QtQuick/Controls.2/meui-style/

%changelog
* Fri Aug 06 2021 rmnscnce <rmnscnce@ya.ru>
- point to master

* Wed Aug 04 2021 rmnscnce <rmnscnce@ya.ru>
- specfile overhaul

* Tue Aug 03 2021 korewaChino <cappy@cappuchino.xyz>
- init package port
